## gate.event
Interface ProgressListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Handle

All Known Implementing Classes:
  AbstractController.IntervalProgressListener, AbstractProcessingResource.IntervalProgressListener, ProgressListenerAdaptor, ApplicationEditor.InternalProgressListener, MainFrame, SerialControllerEditor.InternalProgressListener, NameBearerHandle, ProgressPrinter

public interface ProgressListener
extends EventListener

This interface describes objects that can register themselves as listeners to ProcessProgressReporters. They need to be able to handle progress change and process finished events.

Method Summary
`void` `processFinished()` Called when the process is finished.
`void` `progressChanged(int i)` Called when the progress has changed

Method Detail

### progressChanged

    public void progressChanged(int i)

  Called when the progress has changed
  Parameters:
    `i` -

### processFinished

    public void processFinished()

  Called when the process is finished.